Bug 1679365 - pkg_resources.DistributionNotFound: PyGObject
Summary: pkg_resources.DistributionNotFound: PyGObject
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fedpkg
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 01:22 UTC by Raphael Groner
Modified: 2019-05-26 01:40 UTC (History)
6 users (show)

Fixed In Version: fedpkg-1.37-1.fc28 fedpkg-1.37-1.fc29 fedpkg-1.37-1.el6 fedpkg-1.37-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 08:42:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2019-02-21 01:22:39 UTC
Description of problem:
$ fedpkg clone $foo
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 3007, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 728, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 626, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: PyGObject

Version-Release number of selected component (if applicable):
fedpkg-1.35-1.el7.noarch

How reproducible:
yes

Steps to Reproduce:
1. fedpkg clone $foo
2.
3.

Actual results:
pkg_resources.DistributionNotFound: PyGObject

Expected results:
no error

Additional info:

Comment 1 Raphael Groner 2019-02-21 01:23:09 UTC
Fixed with:
# yum install -y python-gobject

Please add this dependency to fedpkg package.

Comment 2 Ondřej Nosek 2019-02-21 15:08:40 UTC
Hi,

this was previously tested, but there was python-gobject-base library installed on CentOS 7 by default. Therefore it wasn't seen. This requirement comes from rpkg where PyGObject is required in setup.py. PyGObject is not needed for functionality in EPEL7 releases and it was placed there for unit-test functionality.
I will drop this indirect dependency in next rpkg release.

Comment 3 Raphael Groner 2019-02-21 18:18:09 UTC
Thanks!

Comment 4 Fedora Update System 2019-05-04 10:33:15 UTC
fedpkg-1.37-1.fc28 rpkg-1.58-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4359dc92a

Comment 5 Fedora Update System 2019-05-04 10:36:04 UTC
fedpkg-1.37-1.fc29 rpkg-1.58-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5d0735782

Comment 6 Fedora Update System 2019-05-04 10:37:38 UTC
fedpkg-1.37-1.el7 rpkg-1.58-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef52f1c4c0

Comment 7 Fedora Update System 2019-05-04 10:37:49 UTC
fedpkg-1.37-1.el6 rpkg-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-309ad8482c

Comment 8 Fedora Update System 2019-05-10 13:54:55 UTC
fedpkg-1.37-1.fc28 rpkg-1.58-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4359dc92a

Comment 9 Fedora Update System 2019-05-10 14:06:13 UTC
fedpkg-1.37-1.el6 rpkg-1.58-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-309ad8482c

Comment 10 Fedora Update System 2019-05-10 14:08:10 UTC
fedpkg-1.37-1.el7 rpkg-1.58-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef52f1c4c0

Comment 11 Fedora Update System 2019-05-10 14:10:10 UTC
fedpkg-1.37-1.fc29 rpkg-1.58-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5d0735782

Comment 12 Fedora Update System 2019-05-11 02:39:56 UTC
fedpkg-1.37-1.el6, rpkg-1.58-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-309ad8482c

Comment 13 Fedora Update System 2019-05-11 03:11:58 UTC
fedpkg-1.37-1.el7, rpkg-1.58-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ef52f1c4c0

Comment 14 Fedora Update System 2019-05-11 04:23:57 UTC
fedpkg-1.37-1.fc29, rpkg-1.58-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5d0735782

Comment 15 Fedora Update System 2019-05-11 23:07:09 UTC
fedpkg-1.37-1.fc28, rpkg-1.58-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4359dc92a

Comment 16 Fedora Update System 2019-05-25 01:10:33 UTC
fedpkg-1.37-1.fc28, rpkg-1.58-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-05-25 03:34:44 UTC
fedpkg-1.37-1.fc29, rpkg-1.58-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-05-26 01:05:08 UTC
fedpkg-1.37-1.el6, rpkg-1.58-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-05-26 01:40:22 UTC
fedpkg-1.37-1.el7, rpkg-1.58-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.